POSTGetNowBlock

Tron Mainnethttps://tron-mainnet.nodit.io/wallet/getnowblock

Query the latest block information

Query Parameters
visibleboolean

Optional. Set to true to format addresses in Base58; set to false for hex format. (Default: false)

Responses
blockIDstring

Block hash.

예: 00000000000080f82038aa301eda07eb27906589dd849d1c9ba5d84af94cf038

raw_dataobject
numberinteger

Block number (height).

예: 33016

txTrieRootstring

Root hash of the transaction Merkle tree.

예: 0000000000000000000000000000000000000000000000000000000000000000

witness_addressstring

Address of the Super Representative that produced the block.

예: 41928c9af0651632157ef27a2cf17ca72c575a4d21

parentHashstring

Hash of the parent block.

예: 00000000000080f7b502cb572e67f3ad8e75558c0cd64f54cc7c0697f08000a0

versioninteger

Protocol version number.

예: 3

timestampinteger

Timestamp. (Unit: millisecond)

예: 1536713433000

witness_signaturestring

Signature of the Super Representative.

예: 917101db1a7f9252fa3fef139acc07153876b0a4a46e57a235f9b1578bb6da2f12d1a4bc09350e3c5b609353876ffdd581bd903ce31304e42066e363853cf77d00

X-API-KEY
RequestCU30
cURL
curl -X POST "https://tron-mainnet.nodit.io/wallet/getnowblock?visible=true" \
  -H "X-API-KEY: {YOUR_API_KEY}"
Response
Example · 200
{
  "blockID": "00000000000080f82038aa301eda07eb27906589dd849d1c9ba5d84af94cf038",
  "block_header": {
    "raw_data": {
      "number": 33016,
      "txTrieRoot": "0000000000000000000000000000000000000000000000000000000000000000",
      "witness_address": "41928c9af0651632157ef27a2cf17ca72c575a4d21",
      "parentHash": "00000000000080f7b502cb572e67f3ad8e75558c0cd64f54cc7c0697f08000a0",
      "version": 3,
      "timestamp": 1536713433000
    },
    "witness_signature": "917101db1a7f9252fa3fef139acc07153876b0a4a46e57a235f9b1578bb6da2f12d1a4bc09350e3c5b609353876ffdd581bd903ce31304e42066e363853cf77d00"
  }
}